<#assign base=request.contextPath>
<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <title>设备访问记录</title>
    <meta name="renderer" content="webkit"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
    <link href="${base}/styles/bootstrap/css/bootstrap.min.css" rel="stylesheet"/>
</head>
<body>
<div id="contentDiv">loading...</div>
<script src="${base}/styles/jquery/jquery-1.9.1.min.js"></script>
<script type="text/javascript">

    $(function () {
        loadData();
    });

    function loadData() {
        var params = {};
        var pageNo = 1;
        var pageSize = 5;
        $.ajax({
            url: '${base}/device/record/list?pageNo=' + pageNo + '&pageSize=' + pageSize,
            contentType: "application/json; charset=UTF-8",
            dataType: "json",
            type: "POST",
            data: JSON.stringify(params),
            success: function (response) {
                if (response && response.success) {
                    var html = [];
                    var list = response.data.content;
                    for (var n = 0; n < list.length; n++) {
                        var obj = list[n];
                        html.push('<p>' + JSON.stringify(obj) + '</p>');
                    }
                    $("#contentDiv").html(html.join(''));
                }
            }
        });
    }

</script>
</body>
</html>